Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.tools.resource
Class ResourceType

    java.lang.Object
      com.bea.portal.tools.resource.ResourceType

All Implemented Interfaces
  Serializable

Direct Known Subclasses:
  AdContentResourceType, AssignedItemsWorkspaceResourceType, AuthenticationProviderResourceType, AuthenticationProvidersManagementResourceType, AuthenticationProvidersResourceType, BehaviorTrackingServiceManagementResourceType, BookDefinitionResourceType, BookDefinitionsResourceType, CacheManagementResourceType, CachesManagementResourceType, CampaignResourceType, CampaignsResourceType, CheckedOutItemsWorkspaceResourceType, CommunitiesResourceType, CommunityDefinitionResourceType, CommunityTemplateResourceType, CommunityTemplatesResourceType, ContentSelectorResourceType, ContentSelectorsResourceType, DARoleResourceType, DesktopDefinitionResourceType, DesktopDefinitionsResourceType, DesktopResourceType, DesktopTemplateResourceType, DesktopTemplatesResourceType, EventServiceManagementResourceType, GroupResourceType, InvalidResourceType, LayoutResourceType, LayoutsResourceType, LibraryCommunityTemplateResourceType, LibraryCommunityTemplatesResourceType, LibraryDesktopTemplateResourceType, LibraryDesktopTemplatesResourceType, LibraryPortletInstancesResourceType, LibraryResourceType, LibraryTemplatesResourceType, LookAndFeelResourceType, LookAndFeelsResourceType, ManagementResourceType, MenuResourceType, MenusResourceType, NodeResourceType, P13nManagementResourceType, PageDefinitionResourceType, PageDefinitionsResourceType, PlaceholderResourceType, PlaceholdersResourceType, PortalManagementResourceType, PortalResourceType, PortalsResourceType, PortletCategoriesResourceType, PortletCategoryResourceType, PortletDefinitionResourceType, PortletDefinitionsResourceType, PortletsResourceType, PropertyDefinitionResourceType, PropertyResourceType, QueryDefinitionResourceType, RepositoriesInRepoModeResourceType, RepositoriesInTypeModeResourceType, RepositoriesResourceType, RepositoryInRepoModeResourceType, RepositoryInTypeModeResourceType, RepositoryResourceType, RoleMapperResourceType, RoleMappersResourceType, RuleResourceType, ScenarioResourceType, SecurityManagementResourceType, SecurityProvidersResourceType, SegmentResourceType, SegmentsResourceType, ShellResourceType, ShellsResourceType, TemplatesResourceType, ThemeResourceType, ThemesResourceType, TypeResourceType, UnknownResourceType, UserResourceType, UsersResourceType, VisitorRoleResourceType, VisitorRolesResourceType, WebAppResourceType, WorkflowResourceType, WorkflowsResourceType, WorkspacesResourceType, WSRPProducerResourceType, WSRPProducersResourceType

    public abstract class ResourceType

extends Object
implements Serializable

Abstract base for resource type identifiers.

See Also
  Serialized Form

Constructor Summary
`protected` | `ResourceType(String namespaceURI)` Constructor.

Method Summary
`boolean` | `equals(Object that)` Determine if the given `Object` is equal to this `ResourceType`.
`boolean` | `equals(ResourceType that)` Determine if the given `ResourceType` is equal to this `ResourceType`.
`String` | `getNamespaceURI()` Get the namespace URI of this `ResourceType`.
`String` | `getTreeMode()` Get the parsed namespace URI of this `ResourceType` to serve as a substitute for the editor mapping in componentized instances.
`int` | `hashCode()` Get the hash code of this `ResourceType`.
`String` | `toString()` Get a string representation of this `ResourceType`.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ResourceType

    protected ResourceType(String namespaceURI)

  Constructor.

  Parameters
    `namespaceURI` - the URI of the resource type's namespace

Method Detail

### hashCode

    public final int hashCode()

  Get the hash code of this `ResourceType`.

  The hash code is computed from the URI of the resource type's namespace.

  Overrides:
    `hashCode` in class `Object`
  Returns
    the hash code of this `ResourceType`

### equals

    public final boolean equals(Object that)

  Determine if the given `Object` is equal to this `ResourceType`.

  The given `Object` is considered to be equal to this `ResourceType` if and only if all of these statements are true:

  1. The given `Object` is an instance of `ResourceType` or a subtype of `ResourceType`.
  2. The given `Object` (a `ResourceType`) has a namespace URI that equals the namespace URI of this `ResourceID`.

  Overrides:
    `equals` in class `Object`
  Returns
    `true` if the given `Object` is equal to this `ResourceType` and `false` otherwise

### equals

    public final boolean equals(ResourceType that)

  Determine if the given `ResourceType` is equal to this `ResourceType`.

  The given `ResourceType` is considered to be equal to this `ResourceType` if and only if all of these statements are true:

  1. The given `ResourceType` has a namespace URI that equals the namespace URI of this `ResourceType`.

  Returns
    `true` if the given `ResourceType` is equal to this `ResourceType` and `false` otherwise

### getNamespaceURI

    public final String getNamespaceURI()

  Get the namespace URI of this `ResourceType`.

  Returns
    the namespace URI of this `ResourceType`

### getTreeMode

    public String getTreeMode()

  Get the parsed namespace URI of this `ResourceType` to serve as a substitute for the editor mapping in componentized instances. Should only be used in componentized cases where the tree portlet is not present

  Returns
    the parsed namespace URI of this `ResourceType` to serve as a substitute for the editor mapping in componentized instances.

### toString

    public final String toString()

  Get a string representation of this `ResourceType`.

  This method returns the namespace URI of this `ResourceType`.

  Overrides:
    `toString` in class `Object`
  Returns
    a string representation of this `Object`
  See Also
    `getNamespaceURI()`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.